summaryrefslogtreecommitdiff
path: root/recipes-graphics/wayland/weston-init/k3/wayland_env.sh
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-graphics/wayland/weston-init/k3/wayland_env.sh')
-rw-r--r--recipes-graphics/wayland/weston-init/k3/wayland_env.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/recipes-graphics/wayland/weston-init/k3/wayland_env.sh b/recipes-graphics/wayland/weston-init/k3/wayland_env.sh
new file mode 100644
index 0000000..50979b3
--- /dev/null
+++ b/recipes-graphics/wayland/weston-init/k3/wayland_env.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+### Wayland Environment Variables ###
+
+export XDG_CONFIG_HOME=/etc/
+export XDG_RUNTIME_DIR=/tmp/${UID}-runtime-dir
+export WS_CALUDEV_FILE=/etc/udev/rules.d/ws-calibrate.rules
+
+if ! test -d "${XDG_RUNTIME_DIR}"; then
+ mkdir -p "${XDG_RUNTIME_DIR}"
+ chmod 0700 "${XDG_RUNTIME_DIR}"
+fi